# $Revision: 1.8 $, $Date: 2009/10/07 07:07:26 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PerlIO
%define		pnam	via-dynamic
Summary:	PerlIO::via::dynamic - dynamic PerlIO layers
Summary(pl.UTF-8):	PerlIO::via::dynamic - dynamiczne warstwy PerlIO
Name:		perl-PerlIO-via-dynamic
Version:	0.13
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3715f57c346f0c185e24fbc8f580b33b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PerlIO::via::dynamic is used for creating dynamic PerlIO layers. It is
useful when the behavior or the layer depends on variables.

%description -l pl.UTF-8
PerlIO::via::dynamic służy do tworzenia dynamicznych warstw PerlIO.
Jest przydatny kiedy zachowanie lub warstwa zależy od zmiennych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGE*
%{perl_vendorlib}/PerlIO/via/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PerlIO-via-dynamic.spec,v $
Revision 1.8  2009/10/07 07:07:26  amateja
- updated to 0.13

Revision 1.7  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.5  2006/10/25 16:55:01  ankry
- ver. 0.12

Revision 1.4  2004/11/11 13:01:20  paladine
- updated to 0.11

Revision 1.3  2004/11/03 22:30:40  paladine
- formatting

Revision 1.2  2004/05/21 17:38:01  qboosh
- pl, removed bogus URL

Revision 1.1  2004/05/21 02:22:50  arekm
- initial pld release
